{ pkgs ? import <nixpkgs> { } }:

let
  unstable = import (fetchTarball https://github.com/NixOS/nixpkgs/archive/nixos-unstable.tar.gz) { };
  jdk = unstable.jdk23;
in

# Open issue: gradle's toolchain support does not work with IntelliJ
# Solution from 2022 did no longer work: https://github.com/NixOS/nixpkgs/issues/207153#issue-1506967648
# Instead we found this: https://discourse.nixos.org/t/overriding-the-jdk-for-gradle-in-a-nix-flake/36541/2

pkgs.mkShell {
  buildInputs = with pkgs; [
    jdk
    (callPackage gradle-packages.gradle_8 {
      java = jdk;
    })
  ];
}
